---
# file: tests/4.test_removal_existence_packages.yml

- name: "DOCKER | TEST-4 | run test when package state is absent"

  hosts: all
  gather_facts: True

  pre_tasks:
    - name: "***[ OPERATING SYSTEM ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "OS:                  {{ ansible_os_family|default('undefined') }}"
        - "Distribution:        {{ ansible_distribution|default('undefined') }}"
        - "Release:             {{ ansible_distribution_release|default('undefined') }}"
        - "Version:             {{ ansible_distribution_version|default('undefined') }}"
        - "Virtualization Role: {{ ansible_virtualization_role|default('undefined') }}"
        - "Virtualization Type: {{ ansible_virtualization_type|default('undefined') }}"
        - "Python version:      {{ ansible_python_version|default('undefined') }}"
    - name: "***[ PLAY VARIABLES ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "docker_package_state: {{ docker_package_state }}"
        - "docker_compose_version: {{ docker_compose_version }}"
        - "docker_uninstall_previous_version: {{ docker_uninstall_previous_version }}"

  roles:
    - role_is_being_tested
